## sahara 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

alembic>=0.7.2
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
Flask>=0.10,<1.0
iso8601>=0.1.9
Jinja2>=2.6  # BSD License (3 clause)
jsonschema>=2.0.0,<3.0.0
keystonemiddleware>=1.5.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
paramiko>=1.13.0
requests>=2.2.0,!=2.4.0
python-barbicanclient>=3.0.1
python-cinderclient>=1.1.0
python-keystoneclient>=1.1.0
python-novaclient>=2.22.0
python-swiftclient>=2.2.0
python-neutronclient>=2.3.11,<3
python-heatclient>=0.3.0
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
SQLAlchemy>=0.9.7,<=0.9.99
WebOb>=1.2.3
