=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
 openstack-pkg-tools (>= 20~),
 python-all (>= 2.6.6-3~),
 python-pbr (>= 0.6),
 python-sphinx (>= 1.2.1)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 openssh-client,
 python-babel (>= 1.3),
 python-barbicanclient (>= 3.0.1),
 python-cinderclient (>= 1:1.1.0),
 python-coverage (>= 3.6),
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-flask (>= 0.10),
 python-hacking,
 python-heatclient (>= 0.3.0),
 python-iso8601 (>= 0.1.9),
 python-jinja2 (>= 2.6),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware,
 python-mako (>= 0.4.0),
 python-migrate (>= 0.9.5),
 python-mock (>= 1.0),
 python-mysqldb,
 python-neutronclient (>= 1:2.3.11),
 python-novaclient (>= 1:2.22.0),
 python-rfc3986,
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.4.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslosphinx (>= 2.2.0.0),
 python-oslotest (>= 1.2.0),
 python-paramiko (>= 1.13.0),
 python-prettytable (>= 0.7),
 python-psycopg2,
 python-requests (>= 2.2.0),
 python-saharaclient (>= 0.7.6),
 python-six (>= 1.9.0),
 python-sphinxcontrib-httpdomain,
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-swiftclient (>= 1:2.2.0),
 python-tempest-lib (>= 0.3.0),
 python-testresources,
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.34),
 python-webob (>= 1.2.3),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/sahara
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/sahara/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/sahara/kilo

Package: python-sahara
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 alembic (>= 0.7.2),
 python-babel (>= 1.3),
 python-barbicanclient (>= 3.0.1),
 python-cinderclient (>= 1:1.1.0),
 python-eventlet (>= 0.16.1),
 python-flask (>= 0.10),
 python-heatclient (>= 0.3.0),
 python-iso8601 (>= 0.1.9),
 python-jinja2 (>= 2.6),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware,
 python-mysqldb,
 python-neutronclient (>= 1:2.3.11),
 python-novaclient (>= 1:2.22.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.4.1),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.4.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-paramiko (>= 1.13.0),
 python-pbr (>= 0.6),
 python-requests (>= 2.2.0),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-swiftclient (>= 1:2.2.0),
 python-webob (>= 1.2.3),
 sqlite3,
 ${misc:Depends},
 ${python:Depends}
Recommends: python-ldap
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 python-sahara (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: python-ldap
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the combined API server and engine daemon.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Conflicts: sahara
Description: OpenStack data processing cluster as a service - Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 The sahara engine is the core service of sahara, where sahara-api offloads
 tasks to it.
 .
 This package provides the sahara engine for distributed deployments and is
 considered experimental.

Package: sahara-api
Architecture: all
Section: python
Depends:
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Conflicts: sahara
Description: OpenStack data processing cluster as a service - API
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the sahara API for distributed deployments and is
 considered experimental.

Package: sahara-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.
