## sahara 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 iso8601>=0.1.9
 Jinja2>=2.6  # BSD License (3 clause)
 jsonschema>=2.0.0,<3.0.0
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 oslo.config>=1.9.3,<1.10.0  # Apache-2.0
 oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
 oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
@@ -26,13 +26,13 @@
 oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
 paramiko>=1.13.0
 requests>=2.2.0,!=2.4.0
-python-barbicanclient>=3.0.1
-python-cinderclient>=1.1.0
-python-keystoneclient>=1.1.0
-python-novaclient>=2.22.0
-python-swiftclient>=2.2.0
-python-neutronclient>=2.3.11,<3
-python-heatclient>=0.3.0
+python-barbicanclient>=3.0.1,<3.1.0
+python-cinderclient>=1.1.0,<1.2.0
+python-keystoneclient>=1.1.0,<1.4.0
+python-novaclient>=2.22.0,<2.24.0
+python-swiftclient>=2.2.0,<2.5.0
+python-neutronclient>=2.3.11,<2.5.0
+python-heatclient>=0.3.0,<0.5.0
 six>=1.9.0
 stevedore>=1.3.0,<1.4.0  # Apache-2.0
 SQLAlchemy>=0.9.7,<=0.9.99
